import { select, json, geoPath, geoEqualEarth } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const projection = geoEqualEarth();
const pathGenerator = geoPath().projection(projection);

svg.append('path')
	.attr('d', pathGenerator({type: 'Sphere'}))
	.attr('class', 'sphere');


json('https://unpkg.com/world-atlas@1/world/110m.json')
	.then(data => {
  
  const countries = feature(data, data.objects.countries);
	console.log(countries);
  
  svg.selectAll('path')
    .data(countries.features)
    .enter()
    .append('path')
  	.attr('class', 'countries')
    .attr('d', pathGenerator);
});











